document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_20600
--- +++ @@ -12,6 +12,7 @@ tmux new-session -d -n code -s $name -x${cols-150} -y50 tmux split-window -t $name:0 tmux new-window -a -d -n server -t $name:0 + tmux new-window -a -d -n console -t $name:1 tmux select-layout -t $name main-vertical tmux send-keys -t $name:0.1 'vim .' C-m fi
bash
d_bash_20601
--- +++ @@ -1,4 +1,2 @@ pip install pyOpenSSL --upgrade pip install ndg-httpsclient pyasn1 -# pip install urllib3[secure] --upgrade -# pip install requests[security] --upgrade
bash
d_bash_20602
--- +++ @@ -13,7 +13,7 @@ docker-compose -f selenium-docker-compose.yml run \ -e AWS_ACCESS_KEY_ID=$AWS_ACCESS_KEY_ID \ -e AWS_SECRET_ACCESS_KEY=$AWS_SECRET_ACCESS_KEY \ - selenium "apt-get update && apt-get -y --no-install-recommends install google-chrome-stable && npm install && npm ru...
bash
d_bash_20603
--- +++ @@ -8,3 +8,15 @@ echo "Install packages" sudo apt-get install -y $(cat packages) + +# rbenv (+ plugins) +echo "Installing rbenv (+ plugins)" +curl https://raw.githubusercontent.com/fesplugas/rbenv-installer/master/bin/rbenv-installer | bash + +if [ ! $(which rbenv) ]; then + echo "Adding rbenv config" + ...
bash
d_bash_20604
--- +++ @@ -6,6 +6,7 @@ cp .global_gitignore ~/.global_gitignore cp .tmux.conf ~/.tmux.conf cp .gitconfig ~/.gitconfig +cp .ctags ~/.ctags cp -r .config ~/.config
bash
d_bash_20605
--- +++ @@ -1,5 +1,5 @@ cd readthedocs -DJANGO_SETTINGS_MODULE=settings.test ./manage.py test rtd_tests --logging-clear-handlers +DJANGO_SETTINGS_MODULE=settings.test ./manage.py test --logging-clear-handlers ./ exit=$? cd - exit $exit
bash
d_bash_20606
--- +++ @@ -15,7 +15,16 @@ if [ ! -d "$OUTDIR/$DOJODIR" ]; then echo "Retrieving dojo $VERSION" - wget -O - http://download.dojotoolkit.org/release-$VERSION/$DOJODIR.tar.gz | tar -C "$OUTDIR" -xzf - + + if [ -x $(which wget) ]; then + wget -O - http://download.dojotoolkit.org/release-$VERSION/$DOJODIR.tar.gz | ...
bash
d_bash_20607
--- +++ @@ -10,10 +10,6 @@ (cd c-ares && ./buildconf && ./configure) bindgen --whitelist-function="ares.*" --whitelist-type="ares.*" --whitelist-type="apattern" --no-recursive-whitelist --no-unstable-rust --output=src/ffi.rs c-ares/ares.h -# bindgen converts 'char' to 'c_schar' - see https://github.com/servo/rust...
bash
d_bash_20608
--- +++ @@ -1,4 +1,4 @@ -#!/bin/bash +#!/usr/bin/env bash MODEL=$1 YEAR=$2
bash
d_bash_20609
--- +++ @@ -1,10 +1,4 @@ -PYXB_ROOT=${PYXB_ROOT:-/home/pab/pyxb/dev} -BUNDLE_ROOT=${PYXB_ROOT}/pyxb/bundles/opengis -SCHEMA_DIR=${BUNDLE_ROOT}/schemas - -PYTHONPATH=${PYXB_ROOT}:. -PATH=${PYXB_ROOT}/scripts:/usr/bin:/bin -export PATH PYTHONPATH +#!/bin/sh failure () { echo "Failed: ${@}" @@ -15,14 +9,16 @@ #...
bash
d_bash_20610
--- +++ @@ -9,3 +9,10 @@ mkdir -p $CVMFS_SPOOL_IMPOSTER [ ! -d $CVMFS_SPOOL_DIR ] || rm -fR $CVMFS_SPOOL_DIR [ -L $CVMFS_SPOOL_DIR ] || ln -s $CVMFS_SPOOL_IMPOSTER $CVMFS_SPOOL_DIR + +# enable httpd on boot +if ! /sbin/chkconfig httpd > /dev/null 2>&1; then + /sbin/chkconfig --add httpd + /sbin/chkconfig httpd...
bash
d_bash_20611
--- +++ @@ -23,5 +23,6 @@ install_npm_pkg grunt-cli install_npm_pkg vsce install_npm_pkg typescript +install_npm_pkg jest install_node_version 12.16.3 --reinstall-packages-from=default
bash
d_bash_20612
--- +++ @@ -14,7 +14,7 @@ rc=$? if [ $rc != 0 ]; then - echo "Test $test_prg exited non-zero." + echo "Test $test_prg exited non-zero. See ${test_name}_stderr.log for details." fi else echo "Running $test_prg..." @@ -23,7 +23,7 @@ rc=$? if [ $rc != 0 ]; then - e...
bash
d_bash_20613
--- +++ @@ -29,6 +29,10 @@ cd ${build_dir} +# cron doesn't like it when this is writeable by anyone other than the +# owner. +chmod 644 _release/cacophony-api-prune-objects + echo "Setting versions..." perl -pi -e "s/^version:.+/version: \"${version}\"/" _release/nfpm.yaml json -I -f package.json -e "this.ver...
bash
d_bash_20614
--- +++ @@ -1,3 +1,4 @@ +#!/usr/bin/env bash mkdir ./dstroot install -m 755 ../bin/qpm ./dstroot/ -pkgbuild --identifier io.qpm --root ./dstroot/ --install-location /opt/local/bin qpm.pkg +pkgbuild --identifier io.qpm --root ./dstroot/ --install-location /usr/local/bin qpm.pkg
bash
d_bash_20615
--- +++ @@ -5,8 +5,8 @@ echo "Travis branch: " ${TRAVIS_BRANCH} echo "Travis pull request: " ${TRAVIS_PULL_REQUEST} echo "Travis JDK version: " ${TRAVIS_JDK_VERSION} -if [ "${TRAVIS_JDK_VERSION}" == "oraclejdk7" -a "${TRAVIS_BRANCH}" == "develop" -a "${TRAVIS_PULL_REQUEST}" == "false" ]; then +if [ "${TRAVI...
bash
d_bash_20616
--- +++ @@ -5,12 +5,6 @@ if [[ ! "$(type -P brew)" ]]; then e_header "Installing Homebrew" /usr/bin/env ruby -e "$(curl -fsSL https://raw.github.com/mxcl/homebrew/go)"; -fi - -# Update Homebrew. -if [[ "$(type -P brew)" ]]; then - e_header "Updating Homebrew" - brew update fi # Install Homebrew recipes.
bash
d_bash_20617
--- +++ @@ -3,7 +3,9 @@ while getopts ":i:" opt; do case $opt in i) - echo "Importing $OPTARG" + for LINE in $(find $OPTARG -name '*.CR2') ; do + cut -d ' ' -f1 <(sha1sum ${LINE}) + done ;; \?) echo "ERROR: -$OPTARG is a...
bash
d_bash_20618
--- +++ @@ -10,3 +10,4 @@ mkdir -p $usercesm/inputdata mkdir -p $usercesm/output mkdir -p $usercesm/scratch +mkdir -p $usercesm/baselines
bash
d_bash_20619
--- +++ @@ -5,10 +5,10 @@ version_tag=$(git rev-parse --short=20 HEAD) main () { - # pull_notes + pull_notes add_git_note upload_artifact - # push_git_notes + push_git_notes }
bash
d_bash_20620
--- +++ @@ -24,7 +24,7 @@ # There's probably better ways to do this but it works function execSls { - cmd="sls $@ -s $STAGE -r $REGION" + cmd="sls $@ -s $STAGE -r $REGION --debug" echo "Running '$cmd'" $cmd local status=$?
bash
d_bash_20621
--- +++ @@ -29,9 +29,9 @@ then pip install simplejson ordereddict || error_exit "${LINENO}: can't install extras for Python ${version}" -# pip install -r ${PLOTLY_OPTIONAL_REQUIREMENTS_FILE_2_6} -# else -# pip install -r ${PLOTLY_OPTIONAL_REQUIREMENTS_FILE} + pip ins...
bash
d_bash_20622
--- +++ @@ -7,12 +7,35 @@ SERVER="shop" fi +declare -A FEATURES +VERSIONS=(A B C D E F) + +function is_version() +{ + data="$1" + let iVersion=0 + for i in "${FEATURES[@]}" + do + if [ "$data" = "$i" ] + then + printf ${VERSIONS[$iVersion]} + return + fi + let iVersion++ + done + FEATURES[$iV...
bash
d_bash_20623
--- +++ @@ -7,7 +7,7 @@ wget https://openresty.org/download/ngx_openresty-$OPENRESTY_VERSION.tar.gz tar xzvf ngx_openresty-$OPENRESTY_VERSION.tar.gz cd ngx_openresty-$OPENRESTY_VERSION/ -./configure +./configure --prefix="$TRAVIS_BUILD_DIR/install/nginx" make make install
bash
d_bash_20624
--- +++ @@ -1,16 +1,6 @@ #!/bin/bash # Add any logic that is common to both the peer and docker environments here - -# Use the mirror protocol for apt so that geographically close mirrors are automatically chosen -source /etc/lsb-release - -cat <<EOF > /etc/apt/sources.list -deb mirror://mirrors.ubuntu.com/mirror...
bash
d_bash_20625
--- +++ @@ -6,6 +6,7 @@ sleep 10 i=$(expr $i + 1) done +if [[ $i == 10 ]]; then exit 1; fi # Initialize Kubernetes Addons /opt/bin/kubectl create -f /etc/kubernetes/descriptors # Initialize Ceph
bash
d_bash_20626
--- +++ @@ -9,8 +9,8 @@ echo "Create cache dir" -# shellcheck disable=SC2174 -mkdir -p --mode=0777 /app/cache/modulecache +mkdir --mode=0777 -p /app/cache +mkdir --mode=0777 -p /app/cache/modulecache ls -lah /app/cache/modulecache echo "Waiting for mysql"
bash
d_bash_20627
--- +++ @@ -17,4 +17,4 @@ done ( cd ${basedir}/build/builds/fabio-${v} && shasum -a 256 fabio-${v}-* > fabio-${v}.sha256 ) -( cd ${basedir}/build/builds/fabio-${v} && gpg2 --output fabio-${v}.sha256.sig --detach-sig fabio-${v}.sha256 ) +( cd ${basedir}/build/builds/fabio-${v} && gpg --output fabio-${v}.sha256.sig...
bash
d_bash_20628
--- +++ @@ -1 +1 @@ -cat 02-display.vim 03-input.vim 04-commands.vim 06-autocommands.vim bundle/molokai/colors/molokai.vim +cat 02-display.vim 03-input.vim 04-commands.vim 06-autocommands.vim 70-* bundle/molokai/colors/molokai.vim
bash
d_bash_20629
--- +++ @@ -20,6 +20,7 @@ if [ $TAG_EXISTS -eq 0 ] then echo "A tag called '$PROJECT_VERSION' already exists for this project; aborting." + exit 1 fi echo "Project version is valid, tag doesn't yet exist. Running tests." @@ -27,7 +28,7 @@ echo "Tests passed!" git tag $PROJECT_VERSION -git push --ta...
bash
d_bash_20630
--- +++ @@ -1,8 +1,8 @@ #!/bin/bash -e #Make sure environment variables are properly set -if [ -e $JAVA_HOME/bin/java ] ; then - if [ -f $LCF_HOME/properties.ini ] ; then +if [ -e "$JAVA_HOME"/bin/java ] ; then + if [ -f "$LCF_HOME"/properties.ini ] ; then # Build the classpath CLASS...
bash
d_bash_20631
--- +++ @@ -1,2 +1,60 @@ . /data/Wing/bin/dataapps.sh -cpanm List::MoreUtils DBIx::Class Moose DBIx::Class::InflateColumn::DateTime DBIx::Class::InflateColumn::Serializer SQL::Translator DBIx::Class::TimeStamp DBIx::Class::UUIDColumns Data::GUID Digest::SHA Email::MIME::Kit Email::Sender::Simple Crypt::Eksblowfish D...
bash
d_bash_20632
--- +++ @@ -2,26 +2,19 @@ NAME="lutris" PORT=8080 -DJANGODIR=/srv/lutris/lutris.net -SOCKFILE=/srv/lutris/run/gunicorn.sock +DJANGODIR=/app USER=django GROUP=django NUM_WORKERS=9 -DJANGO_SETTINGS_MODULE=lutrisweb.settings.production DJANGO_WSGI_MODULE=lutrisweb.wsgi echo "Starting $NAME as `whoami`" cd ...
bash
d_bash_20633
--- +++ @@ -23,7 +23,7 @@ exit 1 fi -post_name=$(python lib/create-post/filename.py --title "$title --ext md") +post_name=$(python lib/create-post/filename.py --title "$title" --ext md) post_path="_posts/$post_name" post_front_matter=$(python lib/create-post/front_matter.py --tags $tags)
bash
d_bash_20634
--- +++ @@ -1,13 +1,14 @@ #!/bin/bash -if [ $# -le 3 ]; then - echo "Usage: replace_word.sh [word_to_replace] [new word] [files]" +if [ $# < 3 ]; then + echo "Usage: replace_word.sh [word_to_replace] [new word] [directory]" exit fi BEFORE=$1 AFTER=$2 -FILES=${@:3} +DIRECTORY=$3 +FILES=$(find $DIRECTORY) ...
bash
d_bash_20635
--- +++ @@ -2,11 +2,28 @@ set -x -rm -rf terark-db-win-x64 -mkdir -p terark-db-win-x64 +TarBall=terark-db-win-x64 +rm -rf ${TarBall} +mkdir -p ${TarBall}/bin +mkdir -p ${TarBall}/lib +mkdir -p ${TarBall}/include/terark/db +mkdir -p ${TarBall}/include/terark/io +mkdir -p ${TarBall}/include/terark/thread +mkdir -p...
bash
d_bash_20636
--- +++ @@ -1 +1,7 @@ alias -- -='cd -' # Go back + +alias ..="cd .." +alias ...="cd ../.." +alias ....="cd ../../.." +alias .....="cd ../../../.." +alias ......="cd ../../../../.."
bash
d_bash_20637
--- +++ @@ -14,7 +14,7 @@ echo "LATTICE_TGZ_URL = '$lattice_tgz_url'\n$vagrantfile" > $output_dir/vagrant/Vagrantfile cp -r lattice-release/terraform/aws $output_dir/terraform/ -filter='{"variables": .variables + {"lattice_tgz_url": {"default": '"$LATTICE_TGZ_URL"'}}}' +filter='{"variables": .variables + {"lattic...
bash
d_bash_20638
--- +++ @@ -3,18 +3,17 @@ echo "## MAVEN PACKAGE" echo "##############" echo "## START DB" -docker-compose create -docker-compose start db +docker-compose up -d db sleep 10 echo "## CHECK DB IP" DB_IP=$(docker inspect --format '{{.NetworkSettings.Networks.keepwatching_default.IPAddress}}' keepwatching_db_1) ec...
bash
d_bash_20639
--- +++ @@ -21,10 +21,11 @@ echo ====== Rust unit tests and debug builds ====== for PKG in $PKGS do - pushd $topdir/src/$PKG + ( + cd $topdir/src/$PKG cargo test cargo build - popd + ) done # Build cton-util for parser testing.
bash
d_bash_20640
--- +++ @@ -32,3 +32,8 @@ if [ "$ubuntu_version" = "12.04" ]; then apt-get -y install libreadline-dev dpkg; fi + +# Disable periodic activities of apt +cat <<EOF >/etc/apt/apt.conf.d/10disable-periodic +APT::Periodic::Enable "0"; +EOF
bash
d_bash_20641
--- +++ @@ -6,17 +6,30 @@ ## Temporarily disable dpkg fsync to make building faster. echo force-unsafe-io > /etc/dpkg/dpkg.cfg.d/02apt-speedup +## Prevent initramfs updates from trying to run grub and lilo. +## https://journal.paul.querna.org/articles/2013/10/15/docker-ubuntu-on-rackspace/ +## http://bugs.debian....
bash
d_bash_20642
--- +++ @@ -2,7 +2,7 @@ set -e -git clone 'git@github.digital.cabinet-office.gov.uk:gds/cdn-configs.git' +git clone 'git@github.com:alphagov/cdn-configs.git' cp cdn-configs/fastly/fastly.yaml .
bash
d_bash_20643
--- +++ @@ -8,6 +8,7 @@ EMULATOR=http://localhost/v86/ chromium \ + --incognito\ --no-sandbox \ --js-flags="--trace-hydrogen \ --trace-phase=Z \
bash
d_bash_20644
--- +++ @@ -11,6 +11,10 @@ # Ensure that the Cellar exists if [[ ! -e "$source_base/Cellar" ]] ; then mkdir -p "$source_base/Cellar" + fi + + if [[ ! -e "/usr/local/bin" ]] ; then + mkdir -p /usr/local/bin fi ln -s "$source_base/bin/brew" "/usr/local/bin/brew";
bash
d_bash_20645
--- +++ @@ -1,3 +1,3 @@ #! /bin/bash -e -docker run -d -v '/dev/urandom:/dev/random' --link='dhub:dhub' -p '80:80' -p '443:443' -p '1111:1111' -p '35729:35729' --name 'dhub-nginx' 'fic2-dhub-nginx' +docker run -d -v '/dev/urandom:/dev/random' --link='dhub:dhub' --link='idm_hack:idm_hack' -p '80:80' -p '443:443' -p...
bash
d_bash_20646
--- +++ @@ -17,5 +17,6 @@ alias sf='php app/console' alias sfcl='php app/console cache:clear' alias sfroute='php app/console router:debug' +alias sfcontainer='php app/console container:debug' alias sfgb='php app/console generate:bundle'
bash
d_bash_20647
--- +++ @@ -1,4 +1,4 @@ -#!/bin/sh -xf +#!/bin/sh size=50 tracks=600
bash
d_bash_20648
--- +++ @@ -1,5 +1,5 @@ #!/bin/bash # When running the worker, we don't attend pending requests: we first remove them -celery -A tasks amqp queue.purge startertasks +celery -A tasks redis queue.purge startertasks celery -A wcloud.tasks.starter_tasks worker -Q startertasks --loglevel=info
bash
d_bash_20649
--- +++ @@ -3,4 +3,4 @@ set -e # Undo the changes made in pregeneration.sh and pregeneration.patch -git -C ../../googleapis checkout google/longrunning/longrunning_gapic.yaml +git -C ../../googleapis checkout google/longrunning
bash
d_bash_20650
--- +++ @@ -1,9 +1,9 @@ #!/bin/sh -export ACTIVEMQ_DATADIR=/tmp/amq +export ACTIVEMQ_DATADIR=/var/lib/activemq envsubst < activemq.xml.template > $ACTIVEMQ_HOME/conf/activemq.xml java -Xms1G -Xmx1G -Djava.util.logging.config.file=logging.properties \ -Dcom.sun.management.jmxremote -Dcom.sun.management.jmxremo...
bash
d_bash_20651
--- +++ @@ -1,8 +1,9 @@ #!/bin/bash -l #$ -S /bin/bash -#$ -l h_rt=1:0:0 -#$ -pe smp 1 +#$ -l h_rt=48:00:00 +#$ -l mem=20G +#$ -l tmpfs=50G #$ -cwd
bash
d_bash_20652
--- +++ @@ -21,4 +21,4 @@ read -s -p "Enter Apache Username: " myusername echo "" read -s -p "Enter Apache Password: " mypassword -mvn clean site-deploy scm-publish:publish-scm -Dusername=$myusername -Dpassword=$mypassword -DskipTests $@ +mvn clean site-deploy scm-publish:publish-scm -Dusername="$myusername" -Dpas...
bash
d_bash_20653
--- +++ @@ -1,6 +1,11 @@ #!/bin/bash # # Wrapper script to start PoLtree. +# +# Copyright 2014 Isaac Wilcox. +# This Source Code Form is subject to the terms of the Mozilla Public +# License, v. 2.0. If a copy of the MPL was not distributed with this +# file, You can obtain one at http://mozilla.org/MPL/2.0/. # ...
bash
d_bash_20654
--- +++ @@ -1,6 +1,6 @@ #!/bin/bash -if [ -z $NEWRELIC_LICENSE_KEY ] +if [ -z "$NEWRELIC_LICENSE_KEY" ] then nrsysmond-config --set license_key=$NEWRELIC_LICENSE_KEY
bash
d_bash_20655
--- +++ @@ -2,7 +2,7 @@ set -e cd .. -make pull +make build test OLD_CONTAINER_ID=`docker ps | grep indoorcup-web | awk '{print $1}'` if [ -z "$OLD_CONTAINER_ID" ];
bash
d_bash_20656
--- +++ @@ -1,11 +1,11 @@ #!/bin/bash -if [ ! -z "${EXT_CC}" ] && [ "${EXT_CC}" != "<UNDEFINED>" ]; +if [ ! -z "${EXT_CC}" ]; then CC="${EXT_CC}" fi -if [ ! -z "${EXT_CXX}" ] && [ "${EXT_CXX}" != "<UNDEFINED>" ]; +if [ ! -z "${EXT_CXX}" ]; then CXX="${EXT_CXX}" fi
bash
d_bash_20657
--- +++ @@ -8,9 +8,9 @@ cd $working_dir cd .. -xgettext.pl -w -v -v -v -P perl=* -P tt2=* --output=lib/MediaWords/I18N/messages.pot --directory=root/zoe_website_template/ --directory=lib/ +./script/run_carton.sh exec -- xgettext.pl -w -v -v -v -P perl=* -P tt2=* --output=lib/MediaWords/I18N/messages.pot --directo...
bash
d_bash_20658
--- +++ @@ -8,7 +8,7 @@ fi BRANCH=${TRAVIS_PULL_REQUEST_BRANCH:-$TRAVIS_BRANCH} -TAG=`if [ "$BRANCH" == "master" ]; then echo "latest"; else echo $TRAVIS_COMMIT ; fi` +TAG=`if [ "$BRANCH" == "master" ]; then echo "latest"; else echo $BRANCH ; fi` docker build -t weinstein/app:$TAG -f deploy/app.docker . docke...
bash
d_bash_20659
--- +++ @@ -3,14 +3,15 @@ folder=$1 cd $folder -mkdir -p thumbs + +thumbDir=`mktemp -d` #http://unix.stackexchange.com/a/63820/50868 for i in *.mp4; do - avconv -i "$i" -r 1/10 -vf scale=-1:240 -vcodec png "thumbs/$i-%002d.png"; + avconv -i "$i" -r 1/10 -vf scale=-1:240 -vcodec png "$thumbDir/$i-%002d.png";...
bash
d_bash_20660
--- +++ @@ -1,3 +1,7 @@ if [ -f $HOME/elixir-ls ]; then export PATH=$HOME/elixir-ls:$PATH fi + +export ELIXIR_EDITOR="emacsclient +__LINE__ __FILE__" +export PLUG_EDITOR=$ELIXIR_EDITOR +export ECTO_EDITOR=$ELIXIR_EDITOR
bash
d_bash_20661
--- +++ @@ -4,7 +4,7 @@ DOTFILE_DIRECTORY=`pwd` echo "Creating symbolic links in .git/hooks..." - +rm -rf "$1/.git/hooks" ln -is "$DOTFILE_DIRECTORY" "$1/.git/hooks" echo "...done"
bash
d_bash_20662
--- +++ @@ -1,6 +1,13 @@ #!/bin/bash mkdir -vp ${PREFIX}/bin + +if [[ `uname` == Darwin ]]; +then + export LD=clang + export CC=clang + export CXX=clang++ +fi CFLAGS="-Wall -g -m64 -pipe -O2 -fPIC" if [[ $ARCH = 64 ]]; then
bash
d_bash_20663
--- +++ @@ -10,6 +10,8 @@ exec /backup.sh else touch /var/log/cron.log + echo "$CRON_SCHEDULE /backup.sh >> /var/log/cron.log 2>&1" echo "$CRON_SCHEDULE /backup.sh >> /var/log/cron.log 2>&1" | crontab - - exec cron -f + cron + tail -f /var/log/cron.log fi
bash
d_bash_20664
--- +++ @@ -7,7 +7,7 @@ echo "Provisioning the Bootstrapping Machine Learning base box (bml-base)..." # a.k.a. "papibox" # Install pandas and scikit-learn -pip install -U scipy pandas scikit-learn +apt-get install -y python-pandas python-sklearn # Install BigML API wrappers and CLI tool pip install bigml
bash
d_bash_20665
--- +++ @@ -1,2 +1,2 @@ #!/bin/sh -xrandr --output HDMI-0 --mode 1680x1050 --rotate normal --pos 0x0 --primary --output eDP-1-1 --mode 1920x1080 --rotate normal --pos 1680x550 +xrandr --output HDMI-0 --mode 1920x1080 --rotate normal --pos 0x0 --primary --output eDP-1-1 --mode 1920x1080 --rotate normal --pos 1920x550
bash
d_bash_20666
--- +++ @@ -1,4 +1,6 @@ #!/bin/sh +echo "Fixing permissions (just in case)" +chown -R xcauth:xcauth /etc/xcauth.conf /var/*/xcauth echo "Stopping xcauth.service, if running" systemctl -q stop xcauth.service echo "(Re-)starting listening sockets"
bash
d_bash_20667
--- +++ @@ -2,4 +2,4 @@ sudo docker run -ti --device /dev/nvidia0:/dev/nvidia0 --device \ /dev/nvidiactl:/dev/nvidiactl --device /dev/nvidia-uvm:/dev/nvidia-uvm \ - --net=host theanets /bin/bash + -v "$(dirname "`pwd`")":/home/theano/research --net=host djpetti/theano /bin/bash
bash
d_bash_20668
--- +++ @@ -1,6 +1,7 @@ #!/bin/bash -python manage.py test --with-xunit --with-xcover --cover-package=request_signer +PORT=$(($RANDOM+2000)) +python manage.py test --liveserver=localhost:$PORT TEST_EXIT=$? echo "Flake8 Results"
bash
d_bash_20669
--- +++ @@ -5,7 +5,7 @@ rm -f /etc/udev/rules.d/70-persistent-net.rules; mkdir -p /etc/udev/rules.d/70-persistent-net.rules; rm -f /lib/udev/rules.d/75-persistent-net-generator.rules; -rm -rf /dev/.udev/ /var/lib/dhcp3/*; +rm -rf /dev/.udev/ /var/lib/dhcp3/* /var/lib/dhcp/*; # Adding a 2 sec delay to the interf...
bash
d_bash_20670
--- +++ @@ -1,6 +1,6 @@ /bin/echo "postinstall script started [$1]" -APP_NAME= {{lower-name}} +APP_NAME={{lower-name}} if [ "$1" -le 1 ] then
bash
d_bash_20671
--- +++ @@ -26,7 +26,7 @@ then exit 0 fi -$c++ + c=$((c+1)) done echo 'Unable to connect to postgresql'
bash
d_bash_20672
--- +++ @@ -12,9 +12,12 @@ # Download the certificate for the Apple Worldwide Developer Relations # Certificate Authority. -CERTPATH="$SCRIPT_DIR/apple_wwdr.cer" -curl 'https://developer.apple.com/certificationauthority/AppleWWDRCA.cer' > "$CERTPATH" -security import "$CERTPATH" -k "$KEYCHAIN" -T /usr/bin/codesig...
bash
d_bash_20673
--- +++ @@ -3,7 +3,7 @@ PWD=`pwd` ROOTDIR=$PWD -VERSION="1.0.1c" +VERSION="1.0.1e" PLATFORM=osx if [ ! -e openssl-${VERSION}-$PLATFORM.tar.bz2 ]; then
bash
d_bash_20674
--- +++ @@ -13,5 +13,6 @@ --compilation_level ADVANCED_OPTIMIZATIONS \ --warning_level=VERBOSE \ --externs externs.js <(curl -s $CHROME_EXTERNS) \ - --language_in ECMASCRIPT5_STRICT \ + --language_in ECMASCRIPT6_STRICT \ + --summary_detail_level=3 \ --js $FILES
bash
d_bash_20675
--- +++ @@ -24,9 +24,10 @@ # TODO: ideally we should generate this file by refmtting # .ocamlinit. But refmt doesn't support toplevel formatting yet echo "/* Added by rtop */ -try Topdirs.dir_directory (Sys.getenv \"OCAML_TOPLEVEL_PATH\") -with Not_found => () -" > $HOME/.reasoninit +let () = + try (T...
bash
d_bash_20676
--- +++ @@ -1,5 +1,6 @@ #!/bin/bash +export MALLOC_CHECK_=3 ../../src/mosquitto -p 1888 & PID=$! echo ${PID} > broker.pid
bash
d_bash_20677
--- +++ @@ -1,4 +1,10 @@ #!/bin/sh -xe + +if [ "$CI_ARCH" = "amd64" ]; then + export PATH=/mingw64/bin:$PATH +else + export PATH=/mingw32/bin:$PATH +fi 7za | head -2 gcc -v @@ -10,13 +16,6 @@ fi export ELEVATE_CFLAGS="-DELEVATE_VERSION=\\\"$ELEVATE_VERSION\\\"" - -if [ "$CI_ARCH" = "amd64" ]; then - expor...
bash
d_bash_20678
--- +++ @@ -1,9 +1,28 @@ #!/bin/bash + set -e +TARGET_FILE=$0 + +cd `dirname $TARGET_FILE` +TARGET_FILE=`basename $TARGET_FILE` + +# Iterate down a (possible) chain of symlinks +while [ -L "$TARGET_FILE" ] +do + TARGET_FILE=`readlink $TARGET_FILE` + cd `dirname $TARGET_FILE` + TARGET_FILE=`basename $TARG...
bash
d_bash_20679
--- +++ @@ -10,14 +10,25 @@ cd $HOME/.vim [ -d ".git" ] && git remote update &> /dev/null -if [ -d $HOME/repos ]; then - cd $HOME/repos - for dir in ./*/ - do - dir=${dir%*/} - cd "$dir" - [ -d ".git" ] && git remote update &> /dev/null - cd .. - done -fi +cd $HOME/.rbenv +[ -d ".git" ] && git rem...
bash
d_bash_20680
--- +++ @@ -7,9 +7,9 @@ if [ ! "$(ls -A $HOME/gnatsd)" ]; then mkdir -p $HOME/gnatsd cd $HOME/gnatsd - wget https://github.com/nats-io/gnatsd/releases/download/v0.9.2/gnatsd-v0.9.2-linux-amd64.zip -O gnatsd.zip + wget https://github.com/nats-io/gnatsd/releases/download/v0.9.4/gnatsd-v0.9.4-linux-amd64.zip -O...
bash
d_bash_20681
--- +++ @@ -7,7 +7,7 @@ echo 'Working...' echo '<?php' > config/oui-list.php echo '$ouilist = array(' >> config/oui-list.php -curl -s "http://standards-oui.ieee.org/oui.txt" | grep "(base 16)" | sed 's!"!\&quot;!g' | sed 's!^\([0-9a-fA-F]\{6\}\)\s\+(base 16)\s\+\(.\+\)\r$!"\1"=>"\2",!g' | tr -d '\n' >> config/oui...
bash
d_bash_20682
--- +++ @@ -11,7 +11,7 @@ echo "Running r10k" pushd /root/bootstrap/instances/build -r10k puppetfile install -v | tee /var/log/puppet/r10k.log +r10k puppetfile install -v DEBUG | tee /var/log/puppet/r10k.log popd echo "Running Puppet"
bash
d_bash_20683
--- +++ @@ -21,8 +21,8 @@ declare -a SERVICES=("database" "web" "ftp") for SERVICE in "${SERVICES[@]}" do - echo " [*] Download service definition file" - curl -silent https://raw.githubusercontent.com/ernestoalejo/virtual-vulcano/master/services/$SERVICE.service | sudo tee database.service > /dev/null + ...
bash
d_bash_20684
--- +++ @@ -14,5 +14,8 @@ switch_vbng ansible_ssh_host=$( get_ip mysite_vbng flat-lan-1-net) wan_ip=$( get_ip mysite_vbng wan_network) public_ip=$( get_ip mysite_vbng tun0-net ) onos_volt ansible_ssh_host=$( get_ip mysite_onos_volt flat-lan-1-net) -switch_volt ansible_ssh_host=$( get_ip mysite_volt flat-lan-...
bash
d_bash_20685
--- +++ @@ -1,9 +1,18 @@ -export BUNDLEOUT=`git config --get sync.$1.bundleout` -export TEMP=`ls $BUNDLEOUT | sort -u | tail -1 | cut -d "." -f1` -export TEMP=`echo $TEMP | sed 's/0*//'` +BUNDLEOUT=`git config --get sync.$1.bundleout` +TAGOUT=`git config --get sync.$1.out` +TEMP=`ls $BUNDLEOUT | sort -u | tail -1 | c...
bash
d_bash_20686
--- +++ @@ -23,8 +23,9 @@ brew install ilmbase openexr brew install boost-python brew install opencolorio -brew install freetype libraw libpng webp jpeg-turbo openjpeg21 -brew install openjpeg +brew install freetype +brew install libraw libpng webp jpeg-turbo +brew install openjpeg20 if [ "$LINKSTATIC" == "1" ] ;...
bash
d_bash_20687
--- +++ @@ -1,5 +1,15 @@ #!/bin/bash set -ex +# Copy all the assets. +# TODO: Make /otherjs/* immutable. aws --region=us-west-2 s3 sync --acl public-read --exclude ".*" ./dist/ s3://apps.other.chat/ -aws --region=us-west-2 s3api put-object --bucket apps.other.chat --acl public-read --key otherjs/0.0.x/other.min....
bash
d_bash_20688
--- +++ @@ -25,8 +25,9 @@ -in tools/web-central-44673aab0806.json.enc \ -out tools/web-central-44673aab0806.json -$SDK_DIR/bin/gcloud components update gae-python -q +$SDK_DIR/bin/gcloud components update app -q $SDK_DIR/bin/gcloud auth activate-service-account $SERVICE_ACCOUNT \ --key-f...
bash
d_bash_20689
--- +++ @@ -6,9 +6,9 @@ cd _example ../bin/apig gen --all -if [[ ! $(git status | grep 'nothing to commit') ]]; then +if [[ ! $(git status . | grep 'nothing to commit') ]]; then echo " x Generator artifact and example application are different." - git --no-pager diff + git --no-pager diff . exit 1 fi
bash
d_bash_20690
--- +++ @@ -1,4 +1,6 @@ #!/bin/bash + +set -ex rm -f mock_display_test.go time $GOPATH/bin/ginkgo pegomock/mockgen
bash
d_bash_20691
--- +++ @@ -8,7 +8,7 @@ export CONTAINER_NAME=ci_native_nowallet export DOCKER_NAME_TAG=ubuntu:16.04 # Use xenial to have one config run the tests in python3.5, see doc/dependencies.md -export PACKAGES="python3-zmq" +export PACKAGES="python3-zmq clang-3.8 llvm-3.8" # Use clang-3.8 to test C++11 compatibility, s...
bash
d_bash_20692
--- +++ @@ -1,4 +1,4 @@ #!/usr/bin/env bash docker run -d -p 27017:27017 --name mongo-server davidokun/centos7-db-server docker run -d -p 8080:8080 -p 8787:8787 -p 9990:9990 --name wildfly-server --link mongo-server:mongo-server davidokun/centos7-app-server -docker run -d -p 9000:9000 --name sonar-server davidokun...
bash
d_bash_20693
--- +++ @@ -32,5 +32,5 @@ fi CONFIGS_DIRECTORY=$1 -echo "ln --symbolic --force --no-target-directory" "$CONFIGS_DIRECTORY/cronjobs" "/var/lib/tuelib/cronjobs" ln --symbolic --force --no-target-directory "$CONFIGS_DIRECTORY/cronjobs" "/var/lib/tuelib/cronjobs" +ln --symbolic --force --no-target-directory "$CONFIG...
bash
d_bash_20694
--- +++ @@ -3,5 +3,4 @@ # Linux Debug ./sky/tools/gn --debug -ninja -j 2 -C out/Debug -./sky/tools/test_sky --debug --child-processes=1 +ninja -j 1 -C out/Debug
bash
d_bash_20695
--- +++ @@ -2,4 +2,5 @@ cd `dirname $0` docker build -t sneezy docker -docker run --rm --name sneezy --cap-add=SYS_PTRACE -it -p 7900:7900 -v `pwd`/sneezymud:/home/sneezy/sneezymud -v `pwd`/mysql:/var/lib/mysql sneezy +docker rm sneezy # nuke the previous run if needed +docker run --name sneezy --cap-add=SYS_PTR...
bash
d_bash_20696
--- +++ @@ -5,11 +5,11 @@ test -d nimrod || git clone git://github.com/Araq/Nimrod.git nimrod cd nimrod -git checkout 987ac2439a87d74838233a7b188e4db340495ee5 +git checkout 887a1ebe688a01259263ad6e11c9061cfc940456 test -d csources || git clone git://github.com/nimrod-code/csources.git cd csources -git checko...
bash
d_bash_20697
--- +++ @@ -1,3 +1,16 @@ autoload -U edit-command-line zle -N edit-command-line bindkey '\C-x\C-e' edit-command-line + +# Use Ctrl-z to swtich between vim and command line +fancy-ctrl-z () { + if [[ $#BUFFER -eq 0 ]]; then + BUFFER="fg" + zle accept-line + else + zle push-input + zle clear-screen + ...
bash
d_bash_20698
--- +++ @@ -5,14 +5,14 @@ if [[ "${TRAVIS_TAG}x" != "x" ]] then - cp detail.html seed-${TRAVIS_TAG}.html - cp detail.pdf seed-${TRAVIS_TAG}.pdf; + sudo cp detail.html seed-${TRAVIS_TAG}.html + sudo cp detail.pdf seed-${TRAVIS_TAG}.pdf; fi # Grab all available versions to place in gh-pages for VER...
bash
d_bash_20699
--- +++ @@ -20,7 +20,7 @@ esac done -if [ -z $gpu_number ] +if [ -z "${gpu_number##*[!0-9]*}" ] then usage exit 1
bash